Restores the previously defined exception handler function

- « restore_error_handler

- set_error_handler »

- PHP Manual
- Error Handling Functions
- Restores the previously defined exception handler function

# restore_exception_handler

(PHP 5, PHP 7, PHP 8)

restore_exception_handler — Restores the previously defined exception handler function

### Description

restore_exception_handler(): true

Used after changing the exception handler function using set_exception_handler(), to revert to the previous exception handler (which could be the built-in or a user defined function).

### Parameters

This function has no parameters.

### Return Values

Always returns `true`.

### Examples

Example #1 restore_exception_handler() example

    <?php    function exception_handler_1(Exception $e)    {        echo '[' . __FUNCTION__ . '] ' . $e->getMessage();    }    function exception_handler_2(Exception $e)    {        echo '[' . __FUNCTION__ . '] ' . $e->getMessage();    }    set_exception_handler('exception_handler_1');    set_exception_handler('exception_handler_2');    restore_exception_handler();    throw new Exception('This triggers the first exception handler...');?>

The above example will output:

    [exception_handler_1] This triggers the first exception handler...

### See Also

- set_exception_handler() - Sets a user-defined exception handler function
- set_error_handler() - Sets a user-defined error handler function
- restore_error_handler() - Restores the previous error handler function
- error_reporting() - Sets which PHP errors are reported